"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const config_1 = require("./config");
function loadSettingsFromPluginConfig(config, projectRoot) {
    if (!config.configFile) {
        return config;
    }
    if (path.isAbsolute(config.configFile)) {
        return config;
    }
    config.configFile = path.join(projectRoot, config.configFile);
    return config;
}
exports.loadSettingsFromPluginConfig = loadSettingsFromPluginConfig;
function loadSettingsFromTsConfig(ts, configFilePath, projectRoot) {
    const configFileResult = ts.readConfigFile(configFilePath, ts.sys.readFile);
    if (configFileResult.error || !configFileResult.config) {
        return undefined;
    }
    if (!configFileResult.config.compilerOptions || !Array.isArray(configFileResult.config.compilerOptions.plugins)) {
        return undefined;
    }
    const pluginSettings = configFileResult.config.compilerOptions.plugins.find(x => x.name === config_1.pluginId);
    if (!pluginSettings) {
        return undefined;
    }
    return loadSettingsFromPluginConfig(pluginSettings, projectRoot);
}
exports.loadSettingsFromTsConfig = loadSettingsFromTsConfig;
//# sourceMappingURL=settings.js.map